Package org.drinkless.tdlib

# Class TdApi.AddMessageReaction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.AddMessageReaction

Enclosing class:
  TdApi

public static class TdApi.AddMessageReaction extends TdApi.Function<TdApi.Ok>
Adds a reaction or a tag to a message. Use getMessageAvailableReactions to receive the list of available reactions for the message.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat to which the message belongs.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isBig`
  Pass true if the reaction is added with a big animation.
  `long`
  `messageId`
  Identifier of the message.
  `TdApi.ReactionType`
  `reactionType`
  Type of the reaction to add.
  `boolean`
  `updateRecentReactions`
  Pass true if the reaction needs to be added to recent reactions; tags are never added to the list of recent reactions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddMessageReaction()`
  Default constructor for a function, which adds a reaction or a tag to a message.
  `AddMessageReaction(long chatId, long messageId, TdApi.ReactionType reactionType, boolean isBig, boolean updateRecentReactions)`
  Creates a function, which adds a reaction or a tag to a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat to which the message belongs.

  - ### messageId

    public long messageId
    Identifier of the message.

  - ### reactionType

    public TdApi.ReactionType reactionType
    Type of the reaction to add.

  - ### isBig

    public boolean isBig
    Pass true if the reaction is added with a big animation.

  - ### updateRecentReactions

    public boolean updateRecentReactions
    Pass true if the reaction needs to be added to recent reactions; tags are never added to the list of recent reactions.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AddMessageReaction

    public AddMessageReaction()
    Default constructor for a function, which adds a reaction or a tag to a message. Use getMessageAvailableReactions to receive the list of available reactions for the message.

    Returns `Ok`

  - ### AddMessageReaction

    public AddMessageReaction(long chatId, long messageId, TdApi.ReactionType reactionType, boolean isBig, boolean updateRecentReactions)
    Creates a function, which adds a reaction or a tag to a message. Use getMessageAvailableReactions to receive the list of available reactions for the message.

    Returns `Ok`

    Parameters:
      `chatId` - Identifier of the chat to which the message belongs.
      `messageId` - Identifier of the message.
      `reactionType` - Type of the reaction to add.
      `isBig` - Pass true if the reaction is added with a big animation.
      `updateRecentReactions` - Pass true if the reaction needs to be added to recent reactions; tags are never added to the list of recent reactions.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR